for_each.h File Reference

Go to the source code of this file.

## Namespaces

namespace | __gnu_parallel

## Functions

template<typename _IIter , typename _UserOp , typename _Functionality , typename _Red , typename _Result >
_UserOp | __gnu_parallel::__for_each_template_random_access (_IIter __begin, _IIter __end, _UserOp __user_op, _Functionality &__functionality, _Red __reduction, _Result __reduction_start, _Result &__output, typename std::iterator_traits< _IIter >::difference_type __bound, _Parallelism __parallelism_tag)

## Detailed Description

Main interface for embarrassingly parallel functions.

The explicit implementation are in other header files, like workstealing.h, par_loop.h, omp_loop.h, and omp_loop_static.h. This file is a GNU parallel extension to the Standard C++ Library.

Definition in file for_each.h.